aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/x86/olpc/base-files
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/x86/olpc/base-files')
-rw-r--r--target/linux/x86/olpc/base-files/etc/X11/xorg.conf71
-rw-r--r--target/linux/x86/olpc/base-files/etc/config/network11
-rw-r--r--target/linux/x86/olpc/base-files/etc/preinit.arch2
-rw-r--r--target/linux/x86/olpc/base-files/lib/upgrade/platform.sh27
4 files changed, 111 insertions, 0 deletions
diff --git a/target/linux/x86/olpc/base-files/etc/X11/xorg.conf b/target/linux/x86/olpc/base-files/etc/X11/xorg.conf
new file mode 100644
index 0000000000..d98a8f87a5
--- /dev/null
+++ b/target/linux/x86/olpc/base-files/etc/X11/xorg.conf
@@ -0,0 +1,71 @@
+# xorg configuration
+
+Section "ServerLayout"
+ Identifier "Default Layout"
+ Screen 0 "Screen0" 0 0
+ InputDevice "Mouse0" "CorePointer"
+ InputDevice "Keyboard0" "CoreKeyboard"
+EndSection
+
+Section "Files"
+ FontPath "/usr/lib/X11/fonts/misc"
+EndSection
+
+Section "Module"
+ Load "dbe"
+ Load "extmod"
+ Load "fbdevhw"
+# Load "glx"
+ Load "record"
+ Load "freetype"
+ Load "type1"
+EndSection
+
+Section "InputDevice"
+ Identifier "Keyboard0"
+ Driver "keyboard"
+ Option "XkbModel" "pc105"
+ Option "XkbLayout" "us"
+EndSection
+
+Section "InputDevice"
+ Identifier "Mouse0"
+ Driver "mouse"
+ Option "Protocol" "PS/2"
+ Option "Device" "/dev/psaux"
+ Option "ZAxisMapping" "4 5"
+ Option "Emulate3Buttons" "yes"
+EndSection
+
+Section "Monitor"
+ Identifier "Monitor0"
+ VendorName "Monitor Vendor"
+ ModelName "OWRT"
+ Option "dpms"
+EndSection
+
+Section "Device"
+ Identifier "FBDev"
+ Driver "fbdev"
+ #Option "shadowfb" "off"
+ VideoRam 4096
+EndSection
+
+Section "Screen"
+ Identifier "Screen0"
+ Device "FBDev"
+ Monitor "Monitor0"
+ DefaultDepth 16
+
+ SubSection "Display"
+ Depth 16
+ Modes "1200x900-75"
+ EndSubsection
+
+EndSection
+
+Section "DRI"
+ Group 0
+ Mode 0666
+EndSection
+
diff --git a/target/linux/x86/olpc/base-files/etc/config/network b/target/linux/x86/olpc/base-files/etc/config/network
new file mode 100644
index 0000000000..faa8f0e782
--- /dev/null
+++ b/target/linux/x86/olpc/base-files/etc/config/network
@@ -0,0 +1,11 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface wlan
+ option ifname eth0
+ option proto dhcp
diff --git a/target/linux/x86/olpc/base-files/etc/preinit.arch b/target/linux/x86/olpc/base-files/etc/preinit.arch
new file mode 100644
index 0000000000..f29f0d448b
--- /dev/null
+++ b/target/linux/x86/olpc/base-files/etc/preinit.arch
@@ -0,0 +1,2 @@
+mount -t proc none /proc
+grep 'failsafe=' /proc/cmdline && export FAILSAFE=true
diff --git a/target/linux/x86/olpc/base-files/lib/upgrade/platform.sh b/target/linux/x86/olpc/base-files/lib/upgrade/platform.sh
new file mode 100644
index 0000000000..ffd0b93ab4
--- /dev/null
+++ b/target/linux/x86/olpc/base-files/lib/upgrade/platform.sh
@@ -0,0 +1,27 @@
+platform_check_image() {
+ [ "$ARGC" -gt 1 ] && return 1
+
+ case "$(get_magic_word "$1")" in
+ 48eb) return 0;;
+ *)
+ echo "Invalid image type"
+ return 1
+ ;;
+ esac
+}
+
+platform_do_upgrade() {
+ get_image "$1" > /dev/hda
+ sync
+}
+
+x86_prepare_ext2() {
+ # if we're running from ext2, we need to make sure that we have a mtd
+ # partition that points to the active rootfs partition.
+ # however this only matters if we actually need to preserve the config files
+ [ "$SAVE_CONFIG" -eq 1 ] && return 0
+ grep rootfs /proc/mtd >/dev/null || {
+ echo /dev/hda2,65536,rootfs > /sys/module/block2mtd/parameters/block2mtd
+ }
+}
+append sysupgrade_pre_upgrade x86_prepare_ext2